<!DOCTYPE html>
<html lang="en" ng-app="miApp">
<head>
    <meta charset="UTF-8">
    <title>Tabla de Pokemones</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
</head>
<body>

    <div ng-controller="View1Ctrl" class="container">
        <div class="container">
            <h2>Tabla de Pokemones </h2>
            <div class="row">
            
                <div class="col-md-6">
                    <div class="form-group">
                        <input type="text" class="form-control filtro" placeholder="Filtrar por nombre" ng-model="filterText" ng-change="filtrarPokemones()">
                    </div>
                    <table class="table table-striped">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Detalle</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="pokemon in pokemonesFiltrados">
                                <td>{{ pokemon.name }}</td>
                                <td><a href="#" ng-click="mostrarDetalles($event, pokemon)">Detalles</a></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-md-6">
                    <div ng-if="pokemonSeleccionado" class="container contenedor">
                        <div class="modal-header">
                            <h3 class="modal-title titulo">Detalle Pokemon</h3>
                            <button type="button" class="close" aria-label="Close" ng-click="cerrarDetalles()">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <p><strong>Nombre:</strong> {{ pokemonSeleccionado.name }}</p>
                                <p><strong>Altura:</strong> {{ pokemonSeleccionado.height }}</p>
                                <p><strong>Peso:</strong> {{ pokemonSeleccionado.weight }}</p>
                                <p><strong>Base experiencia:</strong>{{ pokemonSeleccionado.base_experience}}</p>
                                <p><strong>Llanto:</strong></p>
                                <audio controls>
                                    <source src="https://raw.githubusercontent.com/PokeAPI/cries/main/cries/pokemon/legacy/{{ pokemonSeleccionado.id }}.ogg" type="audio/ogg">
                                </audio>
                            </div>
                            <div class="col-md-6">
                                <p><strong>Habilidades:</strong></p>
                                <ul>
                                    <li ng-repeat="ability in pokemonSeleccionado.abilities">
                                        {{ ability.ability.name }}
                                    </li>
                                </ul>
                                <p><strong>Tipo:</strong></p>
                                <ul>
                                    <li ng-repeat="type in pokemonSeleccionado.types">
                                        {{ type.type.name }}
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    

    <div class="container">
        <h3>Resumen de Pokémones </h3>
        <table class="table table-bordered">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Letra</th>
              <th scope="col">Cantidad de Pokémones</th>
            </tr>
          </thead>
          <tbody>
            <tr ng-repeat="letra in letrasOrdenadas">
              <td>{{ letra }}</td>
              <td>{{ resumenPokemones[letra] }}</td>
            </tr>
          </tbody>
        </table>
      </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<script src="app.js"></script>
<script src="view1.js"></script>

</body>
</html>